Package com.google.javascript.rhino.jstype

# Class SimpleSlot

java.lang.Object
com.google.javascript.rhino.jstype.SimpleSlot

All Implemented Interfaces:
  `StaticSlot<JSType>`, `Serializable`

Direct Known Subclasses:
  `SymbolTable.Symbol`

public class SimpleSlot extends Object implements StaticSlot<JSType>, Serializable
The minimum implementation of StaticSlot<JSType>.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SimpleSlot(String name, JSType type, boolean inferred)`

## Method Summary

Modifier and Type
Method
Description
`StaticReference<JSType>`
`getDeclaration()`
Gets the declaration of this symbol.
`JSDocInfo`
`getJSDocInfo()`
Gets the JSDoc for this slot.
`String`
`getName()`
Gets the name of the slot.
`JSType`
`getType()`
Returns the type information, if any, for this slot.
`boolean`
`isTypeInferred()`
Returns whether the type has been inferred (as opposed to declared).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleSlot

public SimpleSlot(String name, JSType type, boolean inferred)

## Method Details

### getName

public String getName()
Description copied from interface: `StaticSlot`
Gets the name of the slot.

Specified by:
  `getName` in interface `StaticSlot<JSType>`

### getType

public JSType getType()
Description copied from interface: `StaticSlot`
Returns the type information, if any, for this slot.

Specified by:
  `getType` in interface `StaticSlot<JSType>`
Returns:
  The type or `null` if no type is declared for it.

### isTypeInferred

public boolean isTypeInferred()
Description copied from interface: `StaticSlot`
Returns whether the type has been inferred (as opposed to declared).

Specified by:
  `isTypeInferred` in interface `StaticSlot<JSType>`

### getDeclaration

public StaticReference<JSType> getDeclaration()
Description copied from interface: `StaticSlot`
Gets the declaration of this symbol. May not exist.

Specified by:
  `getDeclaration` in interface `StaticSlot<JSType>`

### getJSDocInfo

public JSDocInfo getJSDocInfo()
Description copied from interface: `StaticSlot`
Gets the JSDoc for this slot.

Specified by:
  `getJSDocInfo` in interface `StaticSlot<JSType>`